Bug 1310321 - Running rsync service from systemd results in large number of failed rsyncd systemd units
Running rsync service from systemd results in large number of failed rsyncd s...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rsync (Show other bugs)
23
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Ruprich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-20 05:25 EST by Ralf Baechle
Modified: 2016-12-20 13:53 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:53:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Suggested fix to rsyncd@.service (352 bytes, patch)
2016-02-20 05:25 EST, Ralf Baechle
no flags Details | Diff

  None (edit)
Description Ralf Baechle 2016-02-20 05:25:38 EST
Created attachment 1128784 [details]
Suggested fix to rsyncd@.service

Description of problem:
When running rsyncd from systemd failed rsync units are piling up in the systemctl output.

Version-Release number of selected component (if applicable):
rsync-daemon-3.1.1-8.fc23.noarch

How reproducible:
- enable rsyncd service
- use rsyncd from other system
- run "systemctl" with no arguments to see messages or systemctl | grep rsyncd

Steps to Reproduce:
- enable rsyncd service
- use rsyncd from other system

Actual results:
systemctl output contains many lines like:
● rsyncd@79-98.87.76.65-12.23.34.45:37990.service                loaded failed failed    fast remote file copy program daemon (12.23.34.45:37990)
● rsyncd@8-98.87.76.65-12.23.34.45:37135.service                 loaded failed failed    fast remote file copy program daemon (12.23.34.45:37135)
● rsyncd@80-3001:abcd:4fac:1234::1:873-3ffe:123:321:abcd:1:42205.service loaded failed failed    fast remote file copy program daemon ([3ffe:123:321:abcd:1]:42205)
● rsyncd@81-98.87.76.65-12.23.34.45:38146.service                loaded failed failed    fast remote file copy program daemon (12.23.34.45:38146)
● rsyncd@82-3001:abcd:4fac:1234::1:873-3ffe:123:321:abcd:1:42239.service loaded failed failed    fast remote file copy program daemon ([3ffe:123:321:abcd:1]:42239)
● rsyncd@83-98.87.76.65-12.23.34.45:38689.service                loaded failed failed    fast remote file copy program daemon (12.23.34.45:38689)
● rsyncd@84-3001:abcd:4fac:1234::1:873-3ffe:123:321:abcd:1:42274.service loaded failed failed    fast remote file copy program daemon ([3ffe:123:321:abcd:1]:42274)
● rsyncd@85-98.87.76.65-12.23.34.45:38852.service                loaded failed failed    fast remote file copy program daemon (12.23.34.45:38852)
● rsyncd@86-3001:abcd:4fac:1234::1:873-3ffe:123:321:abcd:1:42308.service loaded failed failed    fast remote file copy program daemon ([3ffe:123:321:abcd:1]:42308)
● rsyncd@87-98.87.76.65-12.23.34.45:38772.service                loaded failed failed    fast remote file copy program daemon (12.23.34.45:38772)
● rsyncd@88-3001:abcd:4fac:1234::1:873-3ffe:123:321:abcd:1:42342.service loaded failed failed    fast remote file copy program daemon ([3ffe:123:321:abcd:1]:42342)
● rsyncd@89-98.87.76.65-12.23.34.45:38422.service                loaded failed failed    fast remote file copy program daemon (12.23.34.45:38422)
● rsyncd@9-3001:abcd:4fac:1234::1:873-3ffe:123:321:abcd:1:41098.service  loaded failed failed    fast remote file copy program daemon ([3ffe:123:321:abcd:1]:41098)
● rsyncd@90-3001:abcd:4fac:1234::1:873-3ffe:123:321:abcd:1:42375.service loaded failed failed    fast remote file copy program daemon ([3ffe:123:321:abcd:1]:42375)
● rsyncd@91-98.87.76.65-12.23.34.45:38397.service                loaded failed failed    fast remote file copy program daemon (12.23.34.45:38397)


I tried using the rsync service on this server myself; from the client's perspective rsync ran successfully.  There is no indication what's been upsetting rsyncd in the server logs however the list of non-zero exit codes in the rsync(1) man page, section "EXIT CODES" suggests simply ignoring any error returns is the best avenue.

Expected results:
No bullshit messages :)
Comment 1 Fedora Admin XMLRPC Client 2016-10-17 06:55:40 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2016-11-24 10:39:49 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 13:53:10 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.